set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="crosscut1.dtm"
  mode="openInNewLayer"
}]
set status [ SclFunction "RECALL ANY FILE" {
  file="decline1.dtm"
  mode="appendToCurrentLayer"
}]

set status [ SclFunction "TRISOLATION 3DM/3DM UNION" {
  frm00634={
    {
       _action="display"
      layer_name="union_example"
      object_no="1"
      add_object_no="2"
    }
  }
  select_triangle=table { winx winy objectx objecty objectz } {
    { "-0.532" "-0.087" "4716.697" "5620.632" "743.245" }
    { "-0.713" "-0.340" "4701.951" "5605.089" "745.076" }
  }
}]

set status [ SclFunction "LIGHTING" {
  frm00268={
    {
      useSpotLight="Y"
      illumination_cone="120"
      sharpness_cone="60"
      spot_colour="silver"
      offset_angle="2"
      useDirectionalLights="on"
      light_y1="-1"
      light_x1="1"
      light_z1="1"
      light_colour1="white"
      light_y2="0"
      light_x2="0"
      light_z2="0"
      light_colour2=""
      light_y3="0"
      light_x3="0"
      light_z3="0"
      light_colour3=""
      rendering="N"
      edgesLighting="N"
      brightness="7"
    }
  }
}]

set status [ SclFunction "EDGES OFF" {} ]

set status [ SclFunction "EDGES ON" {} ]

set status [ SclFunction "FACES OFF" {} ]

set status [ SclFunction "WINDOW IN" {
  window_drag={
    {
      winx1="0.058"
      winy1="0.070"
      winx2="-0.137"
      winy2="0.446"
      objectx1="4705.598"
      objecty1="5617.111"
      objectz1="739.711"
      objectx2="4697.156"
      objecty2="5619.800"
      objectz2="743.471"
    }
  }
}]

puts ""
puts ""
puts "Macro 08a_solids_union.tcl completed."
puts ""

